Categories:
  - Multimedia
License: Unlicense
SourceCode: https://github.com/wewewe718/QrAndBarcodeScanner
IssueTracker: https://github.com/wewewe718/QrAndBarcodeScanner/issues
Changelog: https://github.com/wewewe718/QrAndBarcodeScanner/blob/HEAD/CHANGELOG.md

AutoName: QR & Barcode Scanner

RepoType: git
Repo: https://github.com/wewewe718/QrAndBarcodeScanner

Builds:
  - versionName: '1.2'
    versionCode: 4
    commit: v1.2
    subdir: app
    gradle:
      - fDroid

  - versionName: '1.3'
    versionCode: 5
    commit: v1.3
    subdir: app
    gradle:
      - fDroid

  - versionName: '1.4'
    versionCode: 6
    commit: v1.4
    subdir: app
    gradle:
      - fDroid

  - versionName: '1.5'
    versionCode: 7
    commit: v1.5
    subdir: app
    gradle:
      - fDroid

  - versionName: '1.6'
    versionCode: 8
    disable: fails to build, see upstream issue 49
    commit: v1.6
    subdir: app
    gradle:
      - fDroid

  - versionName: '1.7'
    versionCode: 9
    commit: v1.7
    subdir: app
    gradle:
      - fDroid

  - versionName: '1.8'
    versionCode: 10
    commit: v1.8
    subdir: app
    gradle:
      - fDroid

  - versionName: '1.9'
    versionCode: 11
    commit: 79e8926ae55a63771c6147b06932c780b4ae63df
    subdir: app
    gradle:
      - fDroid
    ndk: r21

  - versionName: '1.10'
    versionCode: 12
    commit: da922e7b96906ec55a7437733378e850ca9262f7
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fDroid
    prebuild: sed -i -e '/io.sentry.android.gradle/d' -e '/^sentry {/,/^}/d' build.gradle
    ndk: r21
    antifeatures:
      - NonFreeNet
      - Tracking

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '1.10'
CurrentVersionCode: 12
